> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/margay/margay-api.md).

# Margay API

## getAuthenticationInformation

> Retrieves a summary of authentication information for the previous 10 minutes.

```json
{"openapi":"3.1.0","info":{"title":"Margay API","version":"1.0.0"},"tags":[{"name":"Margay API"}],"servers":[{"url":"https://margay.eseye.com"}],"paths":{"/JAPI/Niam/getAuthenticationInformation":{"post":{"summary":"getAuthenticationInformation","operationId":"post-japi-niam-getauthenticationinformation","tags":["Margay API"],"description":"Retrieves a summary of authentication information for the previous 10 minutes.","responses":{"200":{"description":"Successful response"}}}}}}
```

## getCookieName

> Returns the name of the HTTP cookie needed for sessions to continue without the need to log in each time. A cookie is valid for 4 hours after it is generated.

```json
{"openapi":"3.1.0","info":{"title":"Margay API","version":"1.0.0"},"tags":[{"name":"Margay API"}],"servers":[{"url":"https://margay.eseye.com"}],"paths":{"/JAPI/Niam/getCookieName":{"post":{"summary":"getCookieName","operationId":"post-japi-niam-getcookiename","tags":["Margay API"],"description":"Returns the name of the HTTP cookie needed for sessions to continue without the need to log in each time. A cookie is valid for 4 hours after it is generated.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"string"}}}}}}}}}
```

## getThroughputInformation

> Retrieves a summary of data sent and received for the previous 10 minutes.

```json
{"openapi":"3.1.0","info":{"title":"Margay API","version":"1.0.0"},"tags":[{"name":"Margay API"}],"servers":[{"url":"https://margay.eseye.com"}],"paths":{"/JAPI/Niam/getThroughputInformation":{"post":{"summary":"getThroughputInformation","operationId":"post-japi-niam-getthroughputinformation","tags":["Margay API"],"description":"Retrieves a summary of data sent and received for the previous 10 minutes.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"data_count":{"type":"array","items":{"type":"object","properties":{"mcc":{"type":"string"},"mnc":{"type":"string"},"databytes_mo":{"type":"string"},"databytes_mt":{"type":"string"},"start_date":{"type":"string"},"stop_date":{"type":"string"}}}}}}}}}}}}}}
```

## login

> Logs the user into Margay.

```json
{"openapi":"3.1.0","info":{"title":"Margay API","version":"1.0.0"},"tags":[{"name":"Margay API"}],"servers":[{"url":"https://margay.eseye.com"}],"paths":{"/JAPI/Niam/login":{"post":{"summary":"login","operationId":"post-japi-niam-login","tags":["Margay API"],"description":"Logs the user into Margay.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"},"portfolioID":{"type":"string"}},"required":["username","password","portfolioID"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"errorCode":{"type":"string"},"errorMessage":{"type":"string"},"status":{"type":"string"}}},"cookie":{"type":"string"}}}}}}}}}}}
```

## logout

> Logs the user out of Margay.

```json
{"openapi":"3.1.0","info":{"title":"Margay API","version":"1.0.0"},"tags":[{"name":"Margay API"}],"servers":[{"url":"https://margay.eseye.com"}],"paths":{"/JAPI/Niam/logout":{"post":{"summary":"logout","operationId":"post-japi-niam-logout","tags":["Margay API"],"description":"Logs the user out of Margay.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## ping

> Tests whether the server is running.

```json
{"openapi":"3.1.0","info":{"title":"Margay API","version":"1.0.0"},"tags":[{"name":"Margay API"}],"servers":[{"url":"https://margay.eseye.com"}],"paths":{"/JAPI/Niam/ping":{"post":{"summary":"ping","operationId":"post-japi-niam-ping","tags":["Margay API"],"description":"Tests whether the server is running.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/margay/margay-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
